{% extends "admin/change_form.html" %}
{% load i18n admin_modify adminmedia media thumbnail %}

{% block content %}<div id="content-main">
{% block object-tools %}
{% if change %}{% if not is_popup %}
  <ul class="object-tools"><li><a href="history/" class="historylink">{% trans "History" %}</a></li>
  {% if has_absolute_url %}<li><a href="{% url admin:django.views.defaults.shortcut content_type_id object_id %}" class="viewsitelink">{% trans "View on site" %}</a></li>{% endif%}
  </ul>
{% endif %}{% endif %}
{% endblock %}
<form {% if has_file_field %}enctype="multipart/form-data" {% endif %}action="{{ form_url }}" method="post" id="{{ opts.module_name }}_form">{% csrf_token %}{% block form_top %}{% endblock %}
<div>
{% if is_popup %}<input type="hidden" name="_popup" value="1" />{% endif %}
{% if save_on_top %}{% submit_row %}{% endif %}
{% if errors %}
    <p class="errornote">
    {% blocktrans count errors|length as counter %}Please correct the error below.{% plural %}Please correct the errors below.{% endblocktrans %}
    </p>
    {{ adminform.form.non_field_errors }}
{% endif %}

{% if change %}
<fieldset class="module related-module">
<div class="form-row">
    {% thumbnail original.filename 120x120 as thumb %}{% mimetype_image original.filename as mime_img %}
    <p><a href="{{original.filename.url}}" target="_blank"><img src="{{thumb|default:mime_img}}" alt="{{original.title}}" /></a></p>
    <span class="quiet tiny">type: {{original.mimetype}}</span><br/>
    <span class="quiet tiny">created: {{original.created}}</span><br/>
    <span class="quiet tiny">modified: {{original.modified}}</span>
    <br/><br/>
    {% if original.relations.count %}<div>
        <span class="quiet">Links:</span>
        <ul>
        {% for r in original.relations.all %}
        <li><a href="{% url admin:index %}{{r.content_type.app_label}}/{{r.content_type.model}}/{{r.object.pk}}/">{{r.object}}</a></li>
        {% endfor %}
        </ul>
    </div>{% endif %}
</div>
</fieldset>
{% endif %}

{% for fieldset in adminform %}
  {% include "admin/includes/fieldset.html" %}
{% endfor %}

{% block after_field_sets %}{% endblock %}

{% for inline_admin_formset in inline_admin_formsets %}
    {% include inline_admin_formset.opts.template %}
{% endfor %}

{% block after_related_objects %}{% endblock %}

{% submit_row %}

{% if adminform and add %}
   <script type="text/javascript">document.getElementById("{{ adminform.first_field.auto_id }}").focus();</script>
{% endif %}

{# JavaScript for prepopulated fields #}
{% prepopulated_fields_js %}

</div>
</form></div>
{% endblock %}
